package com.apps.quicksketchtrace

import android.app.Application
import com.up.uploadlibrary.UpLoadManager

public class BApplication: Application() {
    companion object{
        lateinit var context: BApplication
        var classNameList: List<String>? = null
    }
    private val CLASS_NAMES = arrayOf(
        "local_Aesthetic",
        "local_One Line Art",
        "local_People",
        "local_Animals",
        "local_Birds",
        "local_Tropical Paradise",
        "local_World Monuments",
        "local_Butterfly",
        "local_Food",
        "local_Cartoons",
        "local_Christmas",
        "local_Festivals",
        "local_Flowers",
        "local_Fruits",
        "local_General",
        "local_Mehndi",
        "local_Nature",
        "local_Architectures",
        "local_Rangoli",
        "local_Sports",
        "local_Car",
        "local_Space"
    )
    override fun onCreate() {
        super.onCreate()
       context = this
        val database = AppDataBase.getDatabase(this)
        UpLoadManager.init(this,"TP AD")
        classNameList = listOf(*CLASS_NAMES)

    }
}